qpid-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Kim van der Riet (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (QPID-5660) [legacystore] Python tests fail with syntax error on Python 2.4
Date Thu, 03 Apr 2014 16:32:23 GMT

     [ https://issues.apache.org/jira/browse/QPID-5660?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Kim van der Riet updated QPID-5660:
-----------------------------------

    Summary: [legacystore] Python tests fail with syntax error on Python 2.4  (was: [legacystore]
Python tests fail with syntax error)

> [legacystore] Python tests fail with syntax error on Python 2.4
> ---------------------------------------------------------------
>
>                 Key: QPID-5660
>                 URL: https://issues.apache.org/jira/browse/QPID-5660
>             Project: Qpid
>          Issue Type: Bug
>          Components: C++ Broker
>            Reporter: Kim van der Riet
>            Assignee: Kim van der Riet
>            Priority: Minor
>
> Recent tests of legacystore on older versions of linux that use Python 2.4.x fail because
of a syntax error:
> {{except jerr.NonExistentRecordError as err:}}
> This version of Python did not use the {{as}} syntax, but rather the {{,}} syntax:
> {{except jerr.NonExistentRecordError, err:}}
> The fix should be trivial, replacing all instances of the later syntax with the earlier
syntax, and which is still accepted by later versions of Python 2.x.



--
This message was sent by Atlassian JIRA
(v6.2#6252)

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@qpid.apache.org
For additional commands, e-mail: dev-help@qpid.apache.org


Mime
View raw message